## ros-rolling-rqt-image-overlay-layer 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(rqt_image_overlay_layer)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rosidl_runtime_cpp REQUIRED)
find_package(rcpputils REQUIRED)
find_package(pluginlib REQUIRED)
find_package(Qt5Widgets REQUIRED)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_export_include_directories(
  include
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_dependencies(rclcpp)
ament_export_dependencies(rosidl_runtime_cpp)
ament_export_dependencies(rcpputils)
ament_export_dependencies(pluginlib)
ament_export_dependencies(Qt5Widgets)

ament_package()

=== debian/changelog ===
ros-rolling-rqt-image-overlay-layer (0.0.2-1focal) focal; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Fri, 28 Jan 2022 15:00:00 -0000

ros-rolling-rqt-image-overlay-layer (0.0.1-1focal) focal; urgency=high

  * Initial release
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Fri, 07 Jan 2022 15:00:00 -0000

=== debian/control ===
Source: ros-rolling-rqt-image-overlay-layer
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-rosidl-runtime-cpp, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rqt-image-overlay-layer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtbase5-dev, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-rosidl-runtime-cpp, ros-rolling-ros-workspace
Description: Provides an rqt_image_overlay_layer plugin interface, and a template impelementation class

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rqt-image-overlay-layer//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rqt-image-overlay-layer 0.3.1

=== debian/changelog ===
ros-rolling-rqt-image-overlay-layer (0.3.1-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Sat, 29 Oct 2022 07:00:00 -0000

ros-rolling-rqt-image-overlay-layer (0.3.0-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Mon, 03 Oct 2022 07:00:00 -0000

ros-rolling-rqt-image-overlay-layer (0.2.1-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Sun, 07 Aug 2022 07:00:00 -0000

ros-rolling-rqt-image-overlay-layer (0.2.0-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Wed, 15 Jun 2022 07:00:00 -0000

ros-rolling-rqt-image-overlay-layer (0.0.5-2jammy) jammy; urgency=high

  * add layer color selection feature
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Sat, 12 Mar 2022 08:00:00 -0000

ros-rolling-rqt-image-overlay-layer (0.0.4-2jammy) jammy; urgency=high

  * Add message collection window, and synchronize image and layers using header timestamp if available
  * implement overlay using msg_storage and use mutexes to handle multithreading
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Wed, 02 Mar 2022 08:00:00 -0000

ros-rolling-rqt-image-overlay-layer (0.0.3-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Sat, 26 Feb 2022 08:00:00 -0000

ros-rolling-rqt-image-overlay-layer (0.0.2-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Sat, 29 Jan 2022 08:00:00 -0000

ros-rolling-rqt-image-overlay-layer (0.0.1-2jammy) jammy; urgency=high

  * Initial release
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Sat, 08 Jan 2022 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-rqt-image-overlay-layer
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-message-filters, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-rosidl-runtime-cpp, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rqt-image-overlay-layer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtbase5-dev, ros-rolling-message-filters, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-rosidl-runtime-cpp, ros-rolling-ros-workspace
Description: Provides an rqt_image_overlay_layer plugin interface, and a template impelementation class

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
